Bug 1561217 (CVE-2018-8977) - CVE-2018-8977 exiv2: invalid memory access in Exiv2::Internal::printCsLensFFFF function in canonmn_int.cpp
Summary: CVE-2018-8977 exiv2: invalid memory access in Exiv2::Internal::printCsLensFFF...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-8977
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1561214 1561220 1563307 1564695
Blocks: 1561219
TreeView+ depends on / blocked
 
Reported: 2018-03-27 22:17 UTC by Laura Pardo
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2101 None None None 2019-08-06 12:14:33 UTC

Description Laura Pardo 2018-03-27 22:17:23 UTC
A flaw was found in Exiv2 0.26, the Exiv2::Internal::printCsLensFFFF function in canonmn_int.cpp allows remote attackers to cause a denial of service (invalid memory access) via a crafted file.


References:
https://github.com/Exiv2/exiv2/issues/247

Comment 1 Laura Pardo 2018-03-27 22:22:00 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1561214]

Comment 5 Pedro Yóssis Silva Barbosa 2018-04-06 22:44:41 UTC
This issue does not affect the exiv2 version shipped in Red Hat Enterprise Linux 7.4. However, in Red Hat Enterprise Linux 7.5, exiv2 is rebased to the affected version (0.26).

Comment 7 errata-xmlrpc 2019-08-06 12:14:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2101 https://access.redhat.com/errata/RHSA-2019:2101

Comment 8 Product Security DevOps Team 2019-08-06 19:18:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-8977


Note You need to log in before you can comment on or make changes to this bug.